<?php
ini_set("date.timezone","America/Sao_Paulo");
session_set_cookie_params(0);
session_start();

header("Content-Type: text/html;  charset=ISO-8859-1",true);
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, Accept, Authorization, X-Request-With');
header('Access-Control-Allow-Credentials: true');

// Inclusão de classes
require_once("admin/inc/conecta.php");
require_once("admin/inc/funcoes.php");
require_once("admin/inc/classe.ssh.php");
require_once("admin/inc/classe.ftp.php");

$dados_config = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM configuracoes"));

if($_SESSION["login_logado"]) {

$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$_SESSION["login_logado"]."'"));
$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));
$dados_revenda = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM revendas WHERE codigo = '".$dados_stm["codigo_cliente"]."'"));

$login_code = code_decode($dados_stm["login"],"E");
$porta_code = code_decode($dados_stm["login"],"E");

// Valida se serviço est ativo ou bloqueado
if($dados_stm["status"] != 1) {
$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Serviço bloqueado! Contate nosso atendimento.</div>';

unset($_SESSION["login_logado"]);
header("Location: /login");
exit;
}
}

//////////////////////////////////////////////////////////////////
/////////////////////// Acessos por Páginas //////////////////////
//////////////////////////////////////////////////////////////////

$total_acessos_paginas = @mysqli_num_rows(@mysqli_query($conexao,"SELECT * FROM acessos_paginas where pagina = '".query_string('0')."'"));

if($total_acessos_paginas == 0) {
	if(query_string('0')) {
		@mysqli_query($conexao,"INSERT INTO acessos_paginas (pagina,total) VALUES ('".query_string('0')."','1')");
	}
} else {
	@mysqli_query($conexao,"Update acessos_paginas set total = total+1 where pagina = '".query_string('0')."'");
}

//////////////////////////////////////////////////////////////////
/////////////////////////// Manutenção ///////////////////////////
//////////////////////////////////////////////////////////////////
if($dados_config["manutencao"] == "sim" && !preg_match('/player/i',query_string('0')) ) {

require("manutencao.php");

exit();

}

//////////////////////////////////////////////////////////////////
////////////////// Idioma e TimeZone do Painel ///////////////////
//////////////////////////////////////////////////////////////////

if($_SESSION["login_logado"]) {

$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where login = '".$_SESSION["login_logado"]."'"));

if(file_exists("inc/lang-".$dados_stm["idioma_painel"].".php")) {
require_once("inc/lang-".$dados_stm["idioma_painel"].".php");
} else {
require_once("inc/lang-pt-br.php");
}

}

//////////////////////////////////////////////////////////////////
//////////////////////////// Navegação ///////////////////////////
//////////////////////////////////////////////////////////////////

$pagina = query_string('0');

if($pagina == "sair") {

$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings WHERE login = '".$_SESSION["login_logado"]."'"));

// Insere a ação executada no registro de logs.
logar_acao_streaming($conexao,"".$dados_stm["codigo"]."","".$lang['lang_info_log_logout_painel']."");

$pagina = "login";

unset($_SESSION["login_logado"]);
}

if ($pagina == "") {
require("login.php");
} elseif (!file_exists($pagina.".php")) {
require("manutencao.php");
} else {
require("".$pagina.".php");
}
?>